Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.testing.junit
Class JUnitOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.testing.AbstractTestFrameworkOptions
              org.gradle.api.tasks.testing.junit.JUnitOptions

    class JUnitOptions
    extends AbstractTestFrameworkOptions

author:
  Hans Dockter

Property Summary
`java.util.Map` | `environment`
`boolean` | `filterTrace`
`boolean` | `fork`
`JunitForkOptions` | `forkOptions`
`FormatterOptions` | `formatterOptions`
`boolean` | `outputToFormatters`
`java.lang.String` | `printSummary`
`boolean` | `reloading`
`boolean` | `showOutput`
`java.util.Map` | `systemProperties`
`java.lang.String` | `tempDir`

Constructor Summary
`JUnitOptions(JUnitTestFramework junitTestFramework)`

Method Summary
`java.util.List` | `excludedFieldsFromOptionMap()`
`java.util.Map` | `fieldName2AntMap()`
`JUnitOptions` | `fork(java.util.Map forkArgs)`
`java.util.Map` | `optionMap()`

Methods inherited from class AbstractTestFrameworkOptions
methodMissing, propertyMissing

Methods inherited from class AbstractOptions
addValueToMapIfNotNull, isOptionField

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Property Detail

### environment

    java.util.Map environment

### filterTrace

    boolean filterTrace

### fork

    boolean fork

### forkOptions

    JunitForkOptions forkOptions

### formatterOptions

    FormatterOptions formatterOptions

### outputToFormatters

    boolean outputToFormatters

### printSummary

    java.lang.String printSummary

### reloading

    boolean reloading

### showOutput

    boolean showOutput

### systemProperties

    java.util.Map systemProperties

### tempDir

    java.lang.String tempDir

Constructor Detail

### JUnitOptions

    public JUnitOptions(JUnitTestFramework junitTestFramework)

Method Detail

### excludedFieldsFromOptionMap

    java.util.List excludedFieldsFromOptionMap()

### fieldName2AntMap

    java.util.Map fieldName2AntMap()

### fork

    JUnitOptions fork(java.util.Map forkArgs)

### optionMap

    java.util.Map optionMap()

Groovy Documentation